Bug 1302664 - [RFE] More video RAM properties in osinfo
[RFE] More video RAM properties in osinfo
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: General (Show other bugs)
4.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.2.0
: ---
Assigned To: Sharon Gratch
meital avital
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 05:57 EST by Milan Zamazal
Modified: 2017-06-06 14:53 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-06 14:53:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tjelinek: ovirt‑4.2?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Milan Zamazal 2016-01-28 05:57:28 EST
We changed default video RAM sizes in https://bugzilla.redhat.com/1275539 to more suitable values in current environments.  It might be additionally useful to permit the users to override those values in osinfo.  This way, the user could set his own values for different guest OSes and cluster versions if needed.

There should be basically three values adjusted: vram, ram and vgamem.  Each of them may or may not depend on number of heads of a single-PCI device.

Please note that:

- Video RAM is currently configured on device changes.  As the user can change the parameters in osinfo, the video RAM should be probably reconfigured on each VM start.

- The question is how to handle VMs transferred from 3.5 clusters to newer clusters with respect to different video RAM sizes for different cluster version.  (The question applies even in the current state, without the changeable osinfo properties.)

- It should be considered whether the configuration for particular environment should be specified as a single osinfo parameter or multiple osinfo parameters.
Comment 1 Yaniv Kaul 2016-01-28 08:51:32 EST
Do we really expect the users to know what the right values are?
I'd expect them actually to choose number of monitors and requested resolution, and we'll do the math behind the scenes for them.
Comment 2 Milan Zamazal 2016-01-28 09:01:58 EST
(In reply to Yaniv Kaul from comment #1)
> Do we really expect the users to know what the right values are?
> I'd expect them actually to choose number of monitors and requested
> resolution, and we'll do the math behind the scenes for them.

Most users should expect and have exactly that, but we'd like to have means to tweak the settings in case some advanced user has special arrangements or needs.
Comment 3 Michal Skrivanek 2016-02-22 07:52:42 EST
(In reply to Yaniv Kaul from comment #1)
a need for changing the values came up couple of times before, so I do expect there are cases when it would be helpful even now, despite our "math" is a bit better than before.
Comment 6 Tomas Jelinek 2016-12-14 09:29:26 EST
did not make 4.1

Note You need to log in before you can comment on or make changes to this bug.